package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        b4a.example.dateutils._process_globals();
anywheresoftware.b4a.samples.httputils2.httputils2service._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
vis = vis | (screenmain.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
 {
            Activity __a = null;
            if (screenmain.previousOne != null) {
				__a = screenmain.previousOne.get();
			}
            else {
                BA ba = screenmain.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

}
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlsplash = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlmain = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlfundflow = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlbangaloreexp = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlibmvalue = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlkolhapurexp = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnllme = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlpnl = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlpurchase = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlroyalty = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlsales = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlstockpos = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnltransport = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnladvalorem = null;
public anywheresoftware.b4a.sql.SQL _sql1 = null;
public anywheresoftware.b4a.sql.SQL.CursorWrapper _cursor1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblsalesqty = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblsalesamount = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpurchqty = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpurchamount = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbltransportqty = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbltransportamount = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblopstockqty = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblopstockamount = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblclstockqty = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblclstockamount = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblbonamount = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblkolexpamount = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblbangaloreexpamt = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblotherexpamount = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblpanlamount = null;
public b4a.example.table _table1 = null;
public flm.b4a.maskededittext.MaskedEditTextWrapper _metxtlmeconversion = null;
public flm.b4a.maskededittext.MaskedEditTextWrapper _metxtlmepercent = null;
public flm.b4a.maskededittext.MaskedEditTextWrapper _metextlmealumina = null;
public flm.b4a.maskededittext.MaskedEditTextWrapper _metxtlmeprice = null;
public flm.b4a.maskededittext.MaskedEditTextWrapper _metxtlmeexch = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbllmeroyaltycalc = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnlmereset = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbllmelastupdate = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbllmeexchlastupdate = null;
public static boolean _screenlme_load = false;
public static String _lmedate = "";
public static float _lme_price = 0f;
public static String _inr_date = "";
public static float _inr_exchrate = 0f;
public adr.stringfunctions.stringfunctions _sf = null;
public b4a.example.dateutils _dateutils = null;
public anywheresoftware.b4a.samples.httputils2.httputils2service _httputils2service = null;
public b4a.example.starter _starter = null;
public b4a.example.screenmain _screenmain = null;
public b4a.example.profitloss _profitloss = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime});
String _dbfilename = "";
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="Dim DBFileName As String = \"Bhoomi.db\"";
_dbfilename = "Bhoomi.db";
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="Activity.LoadLayout(\"screenSplash\")";
mostCurrent._activity.LoadLayout("screenSplash",mostCurrent.activityBA);
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="If Not(File.Exists(File.DirInternal, DBFileNam";
if (anywheresoftware.b4a.keywords.Common.Not(anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_dbfilename))) { 
RDebugUtils.currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="File.Copy(File.DirAssets, DBFileName, File";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),_dbfilename,anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_dbfilename);
 };
RDebugUtils.currentLine=131083;
 //BA.debugLineNum = 131083;BA.debugLine="If Not(Sql1.IsInitialized) Then";
if (anywheresoftware.b4a.keywords.Common.Not(mostCurrent._sql1.IsInitialized())) { 
RDebugUtils.currentLine=131084;
 //BA.debugLineNum = 131084;BA.debugLine="Sql1.Initialize (File.DirInternal, DBFileN";
mostCurrent._sql1.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_dbfilename,anywheresoftware.b4a.keywords.Common.False);
 };
RDebugUtils.currentLine=131086;
 //BA.debugLineNum = 131086;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_pause"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_pause", new Object[] {_userclosed});
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume"))
	return (String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null);
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return "";
}
public static String  _btnadvaloremback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnadvaloremback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnadvaloremback_click", null);
RDebugUtils.currentLine=2031616;
 //BA.debugLineNum = 2031616;BA.debugLine="Sub btnAdvaloremBack_Click";
RDebugUtils.currentLine=2031617;
 //BA.debugLineNum = 2031617;BA.debugLine="If Starter.ScreenLevel = 2 Then";
if (mostCurrent._starter._screenlevel==2) { 
RDebugUtils.currentLine=2031618;
 //BA.debugLineNum = 2031618;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=2031619;
 //BA.debugLineNum = 2031619;BA.debugLine="pnlAdvalorem.Visible = False";
mostCurrent._pnladvalorem.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=2031620;
 //BA.debugLineNum = 2031620;BA.debugLine="Activity.LoadLayout(\"screenRoyaltyMain\")";
mostCurrent._activity.LoadLayout("screenRoyaltyMain",mostCurrent.activityBA);
 };
RDebugUtils.currentLine=2031622;
 //BA.debugLineNum = 2031622;BA.debugLine="End Sub";
return "";
}
public static String  _btnfunflowback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnfunflowback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnfunflowback_click", null);
RDebugUtils.currentLine=589824;
 //BA.debugLineNum = 589824;BA.debugLine="Sub btnFunFlowBack_Click";
RDebugUtils.currentLine=589825;
 //BA.debugLineNum = 589825;BA.debugLine="If Starter.ScreenLevel = 1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=589826;
 //BA.debugLineNum = 589826;BA.debugLine="pnlFundFlow.Visible = False";
mostCurrent._pnlfundflow.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=589827;
 //BA.debugLineNum = 589827;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
RDebugUtils.currentLine=589828;
 //BA.debugLineNum = 589828;BA.debugLine="pnlMain.Visible=True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
 };
RDebugUtils.currentLine=589830;
 //BA.debugLineNum = 589830;BA.debugLine="End Sub";
return "";
}
public static String  _btnibmexit_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnibmexit_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnibmexit_click", null);
RDebugUtils.currentLine=1179648;
 //BA.debugLineNum = 1179648;BA.debugLine="Sub btnIBMExit_Click";
RDebugUtils.currentLine=1179649;
 //BA.debugLineNum = 1179649;BA.debugLine="If Starter.ScreenLevel =2 Then";
if (mostCurrent._starter._screenlevel==2) { 
RDebugUtils.currentLine=1179650;
 //BA.debugLineNum = 1179650;BA.debugLine="pnlIBMValue.Visible = False";
mostCurrent._pnlibmvalue.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1179651;
 //BA.debugLineNum = 1179651;BA.debugLine="pnlRoyalty.Visible = True";
mostCurrent._pnlroyalty.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1179652;
 //BA.debugLineNum = 1179652;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
 };
RDebugUtils.currentLine=1179654;
 //BA.debugLineNum = 1179654;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainbangaloreexp_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainbangaloreexp_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainbangaloreexp_click", null);
RDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Sub btnMainBangaloreExp_Click";
RDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="pnlMain.Visible=False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=1048579;
 //BA.debugLineNum = 1048579;BA.debugLine="Activity.LoadLayout (\"screenBangaloreExp\")";
mostCurrent._activity.LoadLayout("screenBangaloreExp",mostCurrent.activityBA);
RDebugUtils.currentLine=1048580;
 //BA.debugLineNum = 1048580;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainexit_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainexit_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainexit_click", null);
RDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub btnMainExit_Click";
RDebugUtils.currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
RDebugUtils.currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
RDebugUtils.currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainfundflow_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainfundflow_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainfundflow_click", null);
RDebugUtils.currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Sub btnMainFundFlow_Click";
RDebugUtils.currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="pnlMain.Visible = False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="Activity.LoadLayout (\"screenFundPosition\")";
mostCurrent._activity.LoadLayout("screenFundPosition",mostCurrent.activityBA);
RDebugUtils.currentLine=524292;
 //BA.debugLineNum = 524292;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainkolexp_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainkolexp_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainkolexp_click", null);
RDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Sub btnMainKolExp_Click";
RDebugUtils.currentLine=983041;
 //BA.debugLineNum = 983041;BA.debugLine="pnlMain.Visible=False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=983043;
 //BA.debugLineNum = 983043;BA.debugLine="Activity.LoadLayout (\"screenKolhapurExp\")";
mostCurrent._activity.LoadLayout("screenKolhapurExp",mostCurrent.activityBA);
RDebugUtils.currentLine=983044;
 //BA.debugLineNum = 983044;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainpnl_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainpnl_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainpnl_click", null);
RDebugUtils.currentLine=655360;
 //BA.debugLineNum = 655360;BA.debugLine="Sub btnMainPnL_Click";
RDebugUtils.currentLine=655361;
 //BA.debugLineNum = 655361;BA.debugLine="pnlMain.Visible=False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=655362;
 //BA.debugLineNum = 655362;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=655363;
 //BA.debugLineNum = 655363;BA.debugLine="Activity.LoadLayout (\"screenPandL\")";
mostCurrent._activity.LoadLayout("screenPandL",mostCurrent.activityBA);
RDebugUtils.currentLine=655364;
 //BA.debugLineNum = 655364;BA.debugLine="ProfitLoss_Calc";
_profitloss_calc();
RDebugUtils.currentLine=655365;
 //BA.debugLineNum = 655365;BA.debugLine="End Sub";
return "";
}
public static String  _profitloss_calc() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "profitloss_calc"))
	return (String) Debug.delegate(mostCurrent.activityBA, "profitloss_calc", null);
long _salesqty = 0L;
long _salesamt = 0L;
long _purchqty = 0L;
long _purchamt = 0L;
long _transqty = 0L;
long _transamt = 0L;
long _opstockqty = 0L;
long _opstockamt = 0L;
long _clstockqty = 0L;
long _clstockamt = 0L;
long _dirindiramt = 0L;
long _kolexp = 0L;
long _bangexp = 0L;
long _profitlossamt = 0L;
RDebugUtils.currentLine=2097152;
 //BA.debugLineNum = 2097152;BA.debugLine="Sub ProfitLoss_Calc()";
RDebugUtils.currentLine=2097153;
 //BA.debugLineNum = 2097153;BA.debugLine="Dim SalesQty As Long, SalesAmt As Long";
_salesqty = 0L;
_salesamt = 0L;
RDebugUtils.currentLine=2097154;
 //BA.debugLineNum = 2097154;BA.debugLine="Dim PurchQty As Long, PurchAmt As Long";
_purchqty = 0L;
_purchamt = 0L;
RDebugUtils.currentLine=2097155;
 //BA.debugLineNum = 2097155;BA.debugLine="Dim TransQty As Long, TransAmt As Long";
_transqty = 0L;
_transamt = 0L;
RDebugUtils.currentLine=2097156;
 //BA.debugLineNum = 2097156;BA.debugLine="Dim OpStockQty As Long, OpStockAmt As Long";
_opstockqty = 0L;
_opstockamt = 0L;
RDebugUtils.currentLine=2097157;
 //BA.debugLineNum = 2097157;BA.debugLine="Dim ClStockQty As Long, ClStockAmt As Long";
_clstockqty = 0L;
_clstockamt = 0L;
RDebugUtils.currentLine=2097158;
 //BA.debugLineNum = 2097158;BA.debugLine="Dim DirIndirAmt As Long, KolExp As Long, BangExp";
_dirindiramt = 0L;
_kolexp = 0L;
_bangexp = 0L;
RDebugUtils.currentLine=2097159;
 //BA.debugLineNum = 2097159;BA.debugLine="Dim ProfitLossAmt As Long";
_profitlossamt = 0L;
RDebugUtils.currentLine=2097162;
 //BA.debugLineNum = 2097162;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select sum(Quantity),";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select sum(Quantity), sum(Amount) from BauxiteSales")));
RDebugUtils.currentLine=2097163;
 //BA.debugLineNum = 2097163;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=2097164;
 //BA.debugLineNum = 2097164;BA.debugLine="SalesQty  =  cursor1.GetLong2(0)";
_salesqty = mostCurrent._cursor1.GetLong2((int) (0));
RDebugUtils.currentLine=2097165;
 //BA.debugLineNum = 2097165;BA.debugLine="SalesAmt = cursor1.GetLong2(1)";
_salesamt = mostCurrent._cursor1.GetLong2((int) (1));
RDebugUtils.currentLine=2097166;
 //BA.debugLineNum = 2097166;BA.debugLine="lblSalesQty.Text =  NumberFormat(SalesQty,0,2)";
mostCurrent._lblsalesqty.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_salesqty,(int) (0),(int) (2))));
RDebugUtils.currentLine=2097167;
 //BA.debugLineNum = 2097167;BA.debugLine="lblSalesAmount.Text = NumberFormat(SalesAmt, 0, 2";
mostCurrent._lblsalesamount.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_salesamt,(int) (0),(int) (2))));
RDebugUtils.currentLine=2097170;
 //BA.debugLineNum = 2097170;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select sum(Quantity),";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select sum(Quantity), sum(Quantity*PurchasePrice) from BauxitePurchase")));
RDebugUtils.currentLine=2097171;
 //BA.debugLineNum = 2097171;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=2097172;
 //BA.debugLineNum = 2097172;BA.debugLine="PurchQty = cursor1.GetLong2(0)";
_purchqty = mostCurrent._cursor1.GetLong2((int) (0));
RDebugUtils.currentLine=2097173;
 //BA.debugLineNum = 2097173;BA.debugLine="PurchAmt = cursor1.GetLong2(1)";
_purchamt = mostCurrent._cursor1.GetLong2((int) (1));
RDebugUtils.currentLine=2097174;
 //BA.debugLineNum = 2097174;BA.debugLine="lblPurchQty.Text = NumberFormat(PurchQty,0,2)";
mostCurrent._lblpurchqty.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_purchqty,(int) (0),(int) (2))));
RDebugUtils.currentLine=2097175;
 //BA.debugLineNum = 2097175;BA.debugLine="lblPurchAmount.Text = \"(\" & NumberFormat(PurchAmt";
mostCurrent._lblpurchamount.setText((Object)("("+anywheresoftware.b4a.keywords.Common.NumberFormat(_purchamt,(int) (0),(int) (2))+")"));
RDebugUtils.currentLine=2097178;
 //BA.debugLineNum = 2097178;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select sum(Quantity),";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select sum(Quantity), sum(Amount) from BauxiteTransport")));
RDebugUtils.currentLine=2097179;
 //BA.debugLineNum = 2097179;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=2097180;
 //BA.debugLineNum = 2097180;BA.debugLine="TransQty = cursor1.GetLong2(0)";
_transqty = mostCurrent._cursor1.GetLong2((int) (0));
RDebugUtils.currentLine=2097181;
 //BA.debugLineNum = 2097181;BA.debugLine="TransAmt = cursor1.GetLong2(1)";
_transamt = mostCurrent._cursor1.GetLong2((int) (1));
RDebugUtils.currentLine=2097182;
 //BA.debugLineNum = 2097182;BA.debugLine="lblTransportQty.Text = NumberFormat(TransQty,0,2)";
mostCurrent._lbltransportqty.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_transqty,(int) (0),(int) (2))));
RDebugUtils.currentLine=2097183;
 //BA.debugLineNum = 2097183;BA.debugLine="lblTransportAmount.Text = \"(\" & NumberFormat(Tran";
mostCurrent._lbltransportamount.setText((Object)("("+anywheresoftware.b4a.keywords.Common.NumberFormat(_transamt,(int) (0),(int) (2))+")"));
RDebugUtils.currentLine=2097186;
 //BA.debugLineNum = 2097186;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select sum(Quantity),";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select sum(Quantity), sum(Amount) from BauxiteStock where Date = 20150401")));
RDebugUtils.currentLine=2097187;
 //BA.debugLineNum = 2097187;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=2097188;
 //BA.debugLineNum = 2097188;BA.debugLine="OpStockQty = cursor1.GetLong2(0)";
_opstockqty = mostCurrent._cursor1.GetLong2((int) (0));
RDebugUtils.currentLine=2097189;
 //BA.debugLineNum = 2097189;BA.debugLine="OpStockAmt = cursor1.GetLong2(1)";
_opstockamt = mostCurrent._cursor1.GetLong2((int) (1));
RDebugUtils.currentLine=2097190;
 //BA.debugLineNum = 2097190;BA.debugLine="lblOpStockQty.Text = NumberFormat(OpStockQty,0,2)";
mostCurrent._lblopstockqty.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_opstockqty,(int) (0),(int) (2))));
RDebugUtils.currentLine=2097191;
 //BA.debugLineNum = 2097191;BA.debugLine="lblOpStockAmount.Text = \"(\" & NumberFormat(OpStoc";
mostCurrent._lblopstockamount.setText((Object)("("+anywheresoftware.b4a.keywords.Common.NumberFormat(_opstockamt,(int) (0),(int) (2))+")"));
RDebugUtils.currentLine=2097193;
 //BA.debugLineNum = 2097193;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select sum(Quantity),";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select sum(Quantity), sum(Amount) from BauxiteStock where Date = 20160331")));
RDebugUtils.currentLine=2097194;
 //BA.debugLineNum = 2097194;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=2097195;
 //BA.debugLineNum = 2097195;BA.debugLine="ClStockQty = cursor1.GetLong2(0)";
_clstockqty = mostCurrent._cursor1.GetLong2((int) (0));
RDebugUtils.currentLine=2097196;
 //BA.debugLineNum = 2097196;BA.debugLine="ClStockAmt = cursor1.GetLong2(1)";
_clstockamt = mostCurrent._cursor1.GetLong2((int) (1));
RDebugUtils.currentLine=2097197;
 //BA.debugLineNum = 2097197;BA.debugLine="lblClStockQty.Text = NumberFormat(ClStockQty,0,2)";
mostCurrent._lblclstockqty.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_clstockqty,(int) (0),(int) (2))));
RDebugUtils.currentLine=2097198;
 //BA.debugLineNum = 2097198;BA.debugLine="lblClStockAmount.Text = NumberFormat(ClStockAmt,0";
mostCurrent._lblclstockamount.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_clstockamt,(int) (0),(int) (2))));
RDebugUtils.currentLine=2097201;
 //BA.debugLineNum = 2097201;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select sum(Amount) fro";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select sum(Amount) from DirIndirIncome")));
RDebugUtils.currentLine=2097202;
 //BA.debugLineNum = 2097202;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=2097203;
 //BA.debugLineNum = 2097203;BA.debugLine="DirIndirAmt = cursor1.GetLong2(0)";
_dirindiramt = mostCurrent._cursor1.GetLong2((int) (0));
RDebugUtils.currentLine=2097204;
 //BA.debugLineNum = 2097204;BA.debugLine="If DirIndirAmt > 0 Then";
if (_dirindiramt>0) { 
RDebugUtils.currentLine=2097205;
 //BA.debugLineNum = 2097205;BA.debugLine="lblBonAmount.Text = NumberFormat(DirIndirAmt,0,2";
mostCurrent._lblbonamount.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_dirindiramt,(int) (0),(int) (2))));
 }else {
RDebugUtils.currentLine=2097207;
 //BA.debugLineNum = 2097207;BA.debugLine="lblBonAmount.Text = \"(\" & NumberFormat(DirIndirA";
mostCurrent._lblbonamount.setText((Object)("("+anywheresoftware.b4a.keywords.Common.NumberFormat(_dirindiramt,(int) (0),(int) (2))+")"));
 };
RDebugUtils.currentLine=2097211;
 //BA.debugLineNum = 2097211;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select sum(Amount) fro";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select sum(Amount) from KolhapurGeneralExp")));
RDebugUtils.currentLine=2097212;
 //BA.debugLineNum = 2097212;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=2097213;
 //BA.debugLineNum = 2097213;BA.debugLine="KolExp = cursor1.GetLong2(0)";
_kolexp = mostCurrent._cursor1.GetLong2((int) (0));
RDebugUtils.currentLine=2097214;
 //BA.debugLineNum = 2097214;BA.debugLine="lblKolExpAmount.Text = \"(\" & NumberFormat(KolExp,";
mostCurrent._lblkolexpamount.setText((Object)("("+anywheresoftware.b4a.keywords.Common.NumberFormat(_kolexp,(int) (0),(int) (2))+")"));
RDebugUtils.currentLine=2097217;
 //BA.debugLineNum = 2097217;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select sum(Amount) fro";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select sum(Amount) from BangaloreGeneralExp")));
RDebugUtils.currentLine=2097218;
 //BA.debugLineNum = 2097218;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=2097219;
 //BA.debugLineNum = 2097219;BA.debugLine="BangExp = cursor1.GetLong2(0)";
_bangexp = mostCurrent._cursor1.GetLong2((int) (0));
RDebugUtils.currentLine=2097220;
 //BA.debugLineNum = 2097220;BA.debugLine="lblBangaloreExpAmt.Text = \"(\" & NumberFormat(Bang";
mostCurrent._lblbangaloreexpamt.setText((Object)("("+anywheresoftware.b4a.keywords.Common.NumberFormat(_bangexp,(int) (0),(int) (2))+")"));
RDebugUtils.currentLine=2097222;
 //BA.debugLineNum = 2097222;BA.debugLine="ProfitLossAmt = SalesAmt - (PurchAmt + TransAmt +";
_profitlossamt = (long) (_salesamt-(_purchamt+_transamt+_kolexp+_bangexp)+(_clstockamt-_opstockamt)+_dirindiramt);
RDebugUtils.currentLine=2097223;
 //BA.debugLineNum = 2097223;BA.debugLine="lblPanLAmount.Text = NumberFormat(ProfitLossAmt,0";
mostCurrent._lblpanlamount.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_profitlossamt,(int) (0),(int) (2))));
RDebugUtils.currentLine=2097224;
 //BA.debugLineNum = 2097224;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainpurchase_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainpurchase_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainpurchase_click", null);
RDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Sub btnMainPurchase_Click";
RDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="pnlMain.Visible=False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=786434;
 //BA.debugLineNum = 786434;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="Activity.LoadLayout (\"screenPurchaseBreakup\")";
mostCurrent._activity.LoadLayout("screenPurchaseBreakup",mostCurrent.activityBA);
RDebugUtils.currentLine=786436;
 //BA.debugLineNum = 786436;BA.debugLine="Purchasebreakup_load";
_purchasebreakup_load();
RDebugUtils.currentLine=786437;
 //BA.debugLineNum = 786437;BA.debugLine="End Sub";
return "";
}
public static String  _purchasebreakup_load() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "purchasebreakup_load"))
	return (String) Debug.delegate(mostCurrent.activityBA, "purchasebreakup_load", null);
int _i = 0;
RDebugUtils.currentLine=2228224;
 //BA.debugLineNum = 2228224;BA.debugLine="Sub Purchasebreakup_load()";
RDebugUtils.currentLine=2228225;
 //BA.debugLineNum = 2228225;BA.debugLine="Table1.Initialize (Me, \"Purchase Breakup\", 3)";
mostCurrent._table1._initialize(null,mostCurrent.activityBA,main.getObject(),"Purchase Breakup",(int) (3));
RDebugUtils.currentLine=2228226;
 //BA.debugLineNum = 2228226;BA.debugLine="Table1.AddToActivity(Activity, 0, 50dip, 100%x, 8";
mostCurrent._table1._addtoactivity(null,mostCurrent._activity,(int) (0),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (50)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (80),mostCurrent.activityBA));
RDebugUtils.currentLine=2228227;
 //BA.debugLineNum = 2228227;BA.debugLine="Table1.SetHeader(Array As String(\"Customer\", \"Qua";
mostCurrent._table1._setheader(null,new String[]{"Customer","Quantity","Amount"});
RDebugUtils.currentLine=2228228;
 //BA.debugLineNum = 2228228;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select EndUseName, Sum";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select EndUseName, Sum(Quantity), sum(Quantity*PurchasePrice) from BauxitePurchase group by EnduseName Order by Sum(Quantity*PurchasePrice) Desc")));
RDebugUtils.currentLine=2228229;
 //BA.debugLineNum = 2228229;BA.debugLine="For i = 0 To cursor1.RowCount-1";
{
final int step5 = 1;
final int limit5 = (int) (mostCurrent._cursor1.getRowCount()-1);
for (_i = (int) (0) ; (step5 > 0 && _i <= limit5) || (step5 < 0 && _i >= limit5); _i = ((int)(0 + _i + step5)) ) {
RDebugUtils.currentLine=2228230;
 //BA.debugLineNum = 2228230;BA.debugLine="cursor1.Position = i";
mostCurrent._cursor1.setPosition(_i);
RDebugUtils.currentLine=2228231;
 //BA.debugLineNum = 2228231;BA.debugLine="Table1.AddRow (Array As String(cursor1.GetString";
mostCurrent._table1._addrow(null,new String[]{mostCurrent._cursor1.GetString2((int) (0)),anywheresoftware.b4a.keywords.Common.NumberFormat(mostCurrent._cursor1.GetLong2((int) (1)),(int) (0),(int) (2)),anywheresoftware.b4a.keywords.Common.NumberFormat(mostCurrent._cursor1.GetLong2((int) (2)),(int) (0),(int) (2))});
 }
};
RDebugUtils.currentLine=2228234;
 //BA.debugLineNum = 2228234;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainroyalty_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainroyalty_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainroyalty_click", null);
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub btnMainRoyalty_Click";
RDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="pnlMain.Visible=False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=917507;
 //BA.debugLineNum = 917507;BA.debugLine="Activity.LoadLayout (\"screenRoyaltyMain\")";
mostCurrent._activity.LoadLayout("screenRoyaltyMain",mostCurrent.activityBA);
RDebugUtils.currentLine=917508;
 //BA.debugLineNum = 917508;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainsales_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainsales_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainsales_click", null);
RDebugUtils.currentLine=720896;
 //BA.debugLineNum = 720896;BA.debugLine="Sub btnMainSales_Click";
RDebugUtils.currentLine=720897;
 //BA.debugLineNum = 720897;BA.debugLine="pnlMain.Visible=False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=720898;
 //BA.debugLineNum = 720898;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=720899;
 //BA.debugLineNum = 720899;BA.debugLine="Activity.LoadLayout (\"screenSaleBreakup\")";
mostCurrent._activity.LoadLayout("screenSaleBreakup",mostCurrent.activityBA);
RDebugUtils.currentLine=720900;
 //BA.debugLineNum = 720900;BA.debugLine="Salesbreakup_load";
_salesbreakup_load();
RDebugUtils.currentLine=720901;
 //BA.debugLineNum = 720901;BA.debugLine="End Sub";
return "";
}
public static String  _salesbreakup_load() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "salesbreakup_load"))
	return (String) Debug.delegate(mostCurrent.activityBA, "salesbreakup_load", null);
int _i = 0;
RDebugUtils.currentLine=2162688;
 //BA.debugLineNum = 2162688;BA.debugLine="Sub Salesbreakup_load()";
RDebugUtils.currentLine=2162689;
 //BA.debugLineNum = 2162689;BA.debugLine="Table1.Initialize (Me, \"Sales Breakup\", 3)";
mostCurrent._table1._initialize(null,mostCurrent.activityBA,main.getObject(),"Sales Breakup",(int) (3));
RDebugUtils.currentLine=2162690;
 //BA.debugLineNum = 2162690;BA.debugLine="Table1.AddToActivity(Activity, 0, 50dip, 100%x, 8";
mostCurrent._table1._addtoactivity(null,mostCurrent._activity,(int) (0),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (50)),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (80),mostCurrent.activityBA));
RDebugUtils.currentLine=2162691;
 //BA.debugLineNum = 2162691;BA.debugLine="Table1.SetHeader(Array As String(\"Customer\", \"Qua";
mostCurrent._table1._setheader(null,new String[]{"Customer","Quantity","Amount"});
RDebugUtils.currentLine=2162692;
 //BA.debugLineNum = 2162692;BA.debugLine="cursor1 = Sql1.ExecQuery (\"Select EndUserName, su";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select EndUserName, sum(Quantity), sum(Amount) from BauxiteSales group by EnduserName Order by Sum(Amount) Desc")));
RDebugUtils.currentLine=2162693;
 //BA.debugLineNum = 2162693;BA.debugLine="For i = 0 To cursor1.RowCount-1";
{
final int step5 = 1;
final int limit5 = (int) (mostCurrent._cursor1.getRowCount()-1);
for (_i = (int) (0) ; (step5 > 0 && _i <= limit5) || (step5 < 0 && _i >= limit5); _i = ((int)(0 + _i + step5)) ) {
RDebugUtils.currentLine=2162694;
 //BA.debugLineNum = 2162694;BA.debugLine="cursor1.Position = i";
mostCurrent._cursor1.setPosition(_i);
RDebugUtils.currentLine=2162695;
 //BA.debugLineNum = 2162695;BA.debugLine="Table1.AddRow (Array As String(cursor1.GetString";
mostCurrent._table1._addrow(null,new String[]{mostCurrent._cursor1.GetString2((int) (0)),anywheresoftware.b4a.keywords.Common.NumberFormat(mostCurrent._cursor1.GetLong2((int) (1)),(int) (0),(int) (2)),anywheresoftware.b4a.keywords.Common.NumberFormat(mostCurrent._cursor1.GetLong2((int) (2)),(int) (0),(int) (2))});
 }
};
RDebugUtils.currentLine=2162698;
 //BA.debugLineNum = 2162698;BA.debugLine="End Sub";
return "";
}
public static String  _btnmainstock_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmainstock_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmainstock_click", null);
RDebugUtils.currentLine=1769472;
 //BA.debugLineNum = 1769472;BA.debugLine="Sub btnMainStock_Click";
RDebugUtils.currentLine=1769473;
 //BA.debugLineNum = 1769473;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=1769474;
 //BA.debugLineNum = 1769474;BA.debugLine="pnlMain.Visible = False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1769475;
 //BA.debugLineNum = 1769475;BA.debugLine="Activity.LoadLayout(\"screenStockPosition\")";
mostCurrent._activity.LoadLayout("screenStockPosition",mostCurrent.activityBA);
RDebugUtils.currentLine=1769476;
 //BA.debugLineNum = 1769476;BA.debugLine="End Sub";
return "";
}
public static String  _btnmaintransport_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnmaintransport_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnmaintransport_click", null);
RDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Sub btnMainTransport_Click";
RDebugUtils.currentLine=851969;
 //BA.debugLineNum = 851969;BA.debugLine="pnlMain.Visible=False";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
RDebugUtils.currentLine=851971;
 //BA.debugLineNum = 851971;BA.debugLine="Activity.LoadLayout (\"screenTransport\")";
mostCurrent._activity.LoadLayout("screenTransport",mostCurrent.activityBA);
RDebugUtils.currentLine=851972;
 //BA.debugLineNum = 851972;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnlbangaloreback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnpnlbangaloreback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnpnlbangaloreback_click", null);
RDebugUtils.currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Sub btnpnlBangaloreBack_Click";
RDebugUtils.currentLine=1114113;
 //BA.debugLineNum = 1114113;BA.debugLine="If Starter.ScreenLevel =1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="pnlBangaloreExp.Visible = False";
mostCurrent._pnlbangaloreexp.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1114115;
 //BA.debugLineNum = 1114115;BA.debugLine="pnlMain.Visible = True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1114116;
 //BA.debugLineNum = 1114116;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
 };
RDebugUtils.currentLine=1114118;
 //BA.debugLineNum = 1114118;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnlkolhapurback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnpnlkolhapurback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnpnlkolhapurback_click", null);
RDebugUtils.currentLine=1245184;
 //BA.debugLineNum = 1245184;BA.debugLine="Sub btnpnlKolhapurBack_Click";
RDebugUtils.currentLine=1245185;
 //BA.debugLineNum = 1245185;BA.debugLine="If Starter.ScreenLevel =1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=1245186;
 //BA.debugLineNum = 1245186;BA.debugLine="pnlKolhapurExp.Visible = False";
mostCurrent._pnlkolhapurexp.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1245187;
 //BA.debugLineNum = 1245187;BA.debugLine="pnlMain.Visible = True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1245188;
 //BA.debugLineNum = 1245188;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
 };
RDebugUtils.currentLine=1245190;
 //BA.debugLineNum = 1245190;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnllmeback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnpnllmeback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnpnllmeback_click", null);
RDebugUtils.currentLine=1310720;
 //BA.debugLineNum = 1310720;BA.debugLine="Sub btnpnlLMEBack_Click";
RDebugUtils.currentLine=1310721;
 //BA.debugLineNum = 1310721;BA.debugLine="If Starter.ScreenLevel =2 Then";
if (mostCurrent._starter._screenlevel==2) { 
RDebugUtils.currentLine=1310722;
 //BA.debugLineNum = 1310722;BA.debugLine="pnlLME.Visible = False";
mostCurrent._pnllme.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1310723;
 //BA.debugLineNum = 1310723;BA.debugLine="pnlRoyalty.Visible = True";
mostCurrent._pnlroyalty.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1310724;
 //BA.debugLineNum = 1310724;BA.debugLine="Starter.ScreenLevel = 1";
mostCurrent._starter._screenlevel = (int) (1);
 };
RDebugUtils.currentLine=1310726;
 //BA.debugLineNum = 1310726;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnlpandlback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnpnlpandlback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnpnlpandlback_click", null);
RDebugUtils.currentLine=1376256;
 //BA.debugLineNum = 1376256;BA.debugLine="Sub btnpnlPandLBack_Click";
RDebugUtils.currentLine=1376257;
 //BA.debugLineNum = 1376257;BA.debugLine="If Starter.ScreenLevel =1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=1376258;
 //BA.debugLineNum = 1376258;BA.debugLine="pnlPnL.Visible = False";
mostCurrent._pnlpnl.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1376259;
 //BA.debugLineNum = 1376259;BA.debugLine="pnlMain.Visible = True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1376260;
 //BA.debugLineNum = 1376260;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
 };
RDebugUtils.currentLine=1376262;
 //BA.debugLineNum = 1376262;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnlpurchaseback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnpnlpurchaseback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnpnlpurchaseback_click", null);
RDebugUtils.currentLine=1441792;
 //BA.debugLineNum = 1441792;BA.debugLine="Sub btnpnlPurchaseBack_Click";
RDebugUtils.currentLine=1441793;
 //BA.debugLineNum = 1441793;BA.debugLine="If Starter.ScreenLevel =1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=1441794;
 //BA.debugLineNum = 1441794;BA.debugLine="pnlPurchase.Visible = False";
mostCurrent._pnlpurchase.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1441795;
 //BA.debugLineNum = 1441795;BA.debugLine="pnlMain.Visible = True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1441796;
 //BA.debugLineNum = 1441796;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
 };
RDebugUtils.currentLine=1441798;
 //BA.debugLineNum = 1441798;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnlsalesback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnpnlsalesback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnpnlsalesback_click", null);
RDebugUtils.currentLine=1572864;
 //BA.debugLineNum = 1572864;BA.debugLine="Sub btnpnlSalesBack_Click";
RDebugUtils.currentLine=1572865;
 //BA.debugLineNum = 1572865;BA.debugLine="If Starter.ScreenLevel =1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=1572866;
 //BA.debugLineNum = 1572866;BA.debugLine="pnlSales.Visible = False";
mostCurrent._pnlsales.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1572867;
 //BA.debugLineNum = 1572867;BA.debugLine="pnlMain.Visible = True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1572868;
 //BA.debugLineNum = 1572868;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
 };
RDebugUtils.currentLine=1572870;
 //BA.debugLineNum = 1572870;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnlstockposback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnpnlstockposback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnpnlstockposback_click", null);
RDebugUtils.currentLine=1638400;
 //BA.debugLineNum = 1638400;BA.debugLine="Sub btnpnlStockPosBack_Click";
RDebugUtils.currentLine=1638401;
 //BA.debugLineNum = 1638401;BA.debugLine="If Starter.ScreenLevel =1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=1638402;
 //BA.debugLineNum = 1638402;BA.debugLine="pnlStockPos.Visible = False";
mostCurrent._pnlstockpos.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1638403;
 //BA.debugLineNum = 1638403;BA.debugLine="pnlMain.Visible = True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1638404;
 //BA.debugLineNum = 1638404;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
 };
RDebugUtils.currentLine=1638406;
 //BA.debugLineNum = 1638406;BA.debugLine="End Sub";
return "";
}
public static String  _btnpnltransportback_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnpnltransportback_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnpnltransportback_click", null);
RDebugUtils.currentLine=1703936;
 //BA.debugLineNum = 1703936;BA.debugLine="Sub btnpnlTransportBack_Click";
RDebugUtils.currentLine=1703937;
 //BA.debugLineNum = 1703937;BA.debugLine="If Starter.ScreenLevel =1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=1703938;
 //BA.debugLineNum = 1703938;BA.debugLine="pnlTransport.Visible = False";
mostCurrent._pnltransport.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1703939;
 //BA.debugLineNum = 1703939;BA.debugLine="pnlMain.Visible = True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1703940;
 //BA.debugLineNum = 1703940;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
 };
RDebugUtils.currentLine=1703942;
 //BA.debugLineNum = 1703942;BA.debugLine="End Sub";
return "";
}
public static String  _btnroyaltyadvalorem_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnroyaltyadvalorem_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnroyaltyadvalorem_click", null);
RDebugUtils.currentLine=1900544;
 //BA.debugLineNum = 1900544;BA.debugLine="Sub btnRoyaltyAdvalorem_Click";
RDebugUtils.currentLine=1900545;
 //BA.debugLineNum = 1900545;BA.debugLine="Starter.ScreenLevel = 2";
mostCurrent._starter._screenlevel = (int) (2);
RDebugUtils.currentLine=1900546;
 //BA.debugLineNum = 1900546;BA.debugLine="pnlRoyalty.Visible = False";
mostCurrent._pnlroyalty.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1900547;
 //BA.debugLineNum = 1900547;BA.debugLine="Activity.LoadLayout (\"screenAdvalorem\")";
mostCurrent._activity.LoadLayout("screenAdvalorem",mostCurrent.activityBA);
RDebugUtils.currentLine=1900548;
 //BA.debugLineNum = 1900548;BA.debugLine="End Sub";
return "";
}
public static String  _btnroyaltyexit_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnroyaltyexit_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnroyaltyexit_click", null);
RDebugUtils.currentLine=1507328;
 //BA.debugLineNum = 1507328;BA.debugLine="Sub btnRoyaltyExit_Click";
RDebugUtils.currentLine=1507329;
 //BA.debugLineNum = 1507329;BA.debugLine="If Starter.ScreenLevel =1 Then";
if (mostCurrent._starter._screenlevel==1) { 
RDebugUtils.currentLine=1507330;
 //BA.debugLineNum = 1507330;BA.debugLine="pnlRoyalty.Visible = False";
mostCurrent._pnlroyalty.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1507331;
 //BA.debugLineNum = 1507331;BA.debugLine="pnlMain.Visible = True";
mostCurrent._pnlmain.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1507332;
 //BA.debugLineNum = 1507332;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
 };
RDebugUtils.currentLine=1507334;
 //BA.debugLineNum = 1507334;BA.debugLine="End Sub";
return "";
}
public static String  _btnroyaltyibm_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnroyaltyibm_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnroyaltyibm_click", null);
RDebugUtils.currentLine=1966080;
 //BA.debugLineNum = 1966080;BA.debugLine="Sub btnRoyaltyIBM_Click";
RDebugUtils.currentLine=1966081;
 //BA.debugLineNum = 1966081;BA.debugLine="Starter.ScreenLevel = 2";
mostCurrent._starter._screenlevel = (int) (2);
RDebugUtils.currentLine=1966082;
 //BA.debugLineNum = 1966082;BA.debugLine="pnlRoyalty.Visible = False";
mostCurrent._pnlroyalty.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1966083;
 //BA.debugLineNum = 1966083;BA.debugLine="Activity.LoadLayout (\"screenIBM\")";
mostCurrent._activity.LoadLayout("screenIBM",mostCurrent.activityBA);
RDebugUtils.currentLine=1966084;
 //BA.debugLineNum = 1966084;BA.debugLine="End Sub";
return "";
}
public static String  _btnroyaltylme_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnroyaltylme_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnroyaltylme_click", null);
anywheresoftware.b4a.samples.httputils2.httpjob _job1 = null;
anywheresoftware.b4a.samples.httputils2.httpjob _job2 = null;
String _s = "";
String _s1 = "";
RDebugUtils.currentLine=1835008;
 //BA.debugLineNum = 1835008;BA.debugLine="Sub btnRoyaltyLME_Click";
RDebugUtils.currentLine=1835009;
 //BA.debugLineNum = 1835009;BA.debugLine="Dim job1 As HttpJob, job2 As HttpJob";
_job1 = new anywheresoftware.b4a.samples.httputils2.httpjob();
_job2 = new anywheresoftware.b4a.samples.httputils2.httpjob();
RDebugUtils.currentLine=1835011;
 //BA.debugLineNum = 1835011;BA.debugLine="Dim S As String, S1 As String";
_s = "";
_s1 = "";
RDebugUtils.currentLine=1835013;
 //BA.debugLineNum = 1835013;BA.debugLine="ScreenLME_Load = False";
_screenlme_load = anywheresoftware.b4a.keywords.Common.False;
RDebugUtils.currentLine=1835014;
 //BA.debugLineNum = 1835014;BA.debugLine="sf.Initialize";
mostCurrent._sf._initialize(processBA);
RDebugUtils.currentLine=1835017;
 //BA.debugLineNum = 1835017;BA.debugLine="s = \"https://www.quandl.com/api/v3/datasets/LME/P";
_s = "https://www.quandl.com/api/v3/datasets/LME/PR_AL.csv?column_index=1&exclude_column_names=true&rows=1&auth_token=xASgqkFi6-93xrMy3sYg&rows=1";
RDebugUtils.currentLine=1835018;
 //BA.debugLineNum = 1835018;BA.debugLine="job1.Initialize(\"Job1\", Me)";
_job1._initialize(processBA,"Job1",main.getObject());
RDebugUtils.currentLine=1835019;
 //BA.debugLineNum = 1835019;BA.debugLine="job1.Download (s)";
_job1._download(_s);
RDebugUtils.currentLine=1835022;
 //BA.debugLineNum = 1835022;BA.debugLine="S1 = \"http://finance.yahoo.com/d/quotes.csv?e=.cs";
_s1 = "http://finance.yahoo.com/d/quotes.csv?e=.csv&f=sl1d1t1&s=USDINR=X";
RDebugUtils.currentLine=1835023;
 //BA.debugLineNum = 1835023;BA.debugLine="job2.Initialize (\"Job2\", Me)";
_job2._initialize(processBA,"Job2",main.getObject());
RDebugUtils.currentLine=1835024;
 //BA.debugLineNum = 1835024;BA.debugLine="job2.Download (S1)";
_job2._download(_s1);
RDebugUtils.currentLine=1835026;
 //BA.debugLineNum = 1835026;BA.debugLine="Starter.ScreenLevel = 2";
mostCurrent._starter._screenlevel = (int) (2);
RDebugUtils.currentLine=1835027;
 //BA.debugLineNum = 1835027;BA.debugLine="pnlRoyalty.Visible = False";
mostCurrent._pnlroyalty.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1835028;
 //BA.debugLineNum = 1835028;BA.debugLine="Activity.LoadLayout(\"screenLME\")";
mostCurrent._activity.LoadLayout("screenLME",mostCurrent.activityBA);
RDebugUtils.currentLine=1835029;
 //BA.debugLineNum = 1835029;BA.debugLine="ScreenLME_Load = True";
_screenlme_load = anywheresoftware.b4a.keywords.Common.True;
RDebugUtils.currentLine=1835030;
 //BA.debugLineNum = 1835030;BA.debugLine="cursor1 = Sql1.ExecQuery(\"Select max(ApplicableDa";
mostCurrent._cursor1.setObject((android.database.Cursor)(mostCurrent._sql1.ExecQuery("Select max(ApplicableDate), conversionfactor, LMEPercentRoyalty from LME_Royalty_values")));
RDebugUtils.currentLine=1835031;
 //BA.debugLineNum = 1835031;BA.debugLine="cursor1.Position = 0";
mostCurrent._cursor1.setPosition((int) (0));
RDebugUtils.currentLine=1835032;
 //BA.debugLineNum = 1835032;BA.debugLine="metxtLMEConversion.Text = cursor1.GetDouble2(1)";
mostCurrent._metxtlmeconversion.setText((Object)(mostCurrent._cursor1.GetDouble2((int) (1))));
RDebugUtils.currentLine=1835033;
 //BA.debugLineNum = 1835033;BA.debugLine="metxtLMEPercent.Text = cursor1.GetDouble2(2)";
mostCurrent._metxtlmepercent.setText((Object)(mostCurrent._cursor1.GetDouble2((int) (2))));
RDebugUtils.currentLine=1835034;
 //BA.debugLineNum = 1835034;BA.debugLine="LME_Royalty_Calc";
_lme_royalty_calc();
RDebugUtils.currentLine=1835035;
 //BA.debugLineNum = 1835035;BA.debugLine="End Sub";
return "";
}
public static String  _lme_royalty_calc() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "lme_royalty_calc"))
	return (String) Debug.delegate(mostCurrent.activityBA, "lme_royalty_calc", null);
float _conversionfactor = 0f;
float _royaltyasperecentoflme = 0f;
float _al2o3content = 0f;
float _lmeprice = 0f;
float _exchrate = 0f;
float _royalty = 0f;
RDebugUtils.currentLine=5898240;
 //BA.debugLineNum = 5898240;BA.debugLine="Sub LME_Royalty_Calc()";
RDebugUtils.currentLine=5898241;
 //BA.debugLineNum = 5898241;BA.debugLine="Dim conversionfactor, royaltyasperecentofLME, Al2";
_conversionfactor = 0f;
_royaltyasperecentoflme = 0f;
_al2o3content = 0f;
_lmeprice = 0f;
_exchrate = 0f;
_royalty = 0f;
RDebugUtils.currentLine=5898242;
 //BA.debugLineNum = 5898242;BA.debugLine="conversionfactor = metxtLMEConversion.Text";
_conversionfactor = (float)(Double.parseDouble(mostCurrent._metxtlmeconversion.getText()));
RDebugUtils.currentLine=5898243;
 //BA.debugLineNum = 5898243;BA.debugLine="royaltyasperecentofLME = metxtLMEPercent.Text";
_royaltyasperecentoflme = (float)(Double.parseDouble(mostCurrent._metxtlmepercent.getText()));
RDebugUtils.currentLine=5898244;
 //BA.debugLineNum = 5898244;BA.debugLine="Al2O3content = metextLMEAlumina.Text";
_al2o3content = (float)(Double.parseDouble(mostCurrent._metextlmealumina.getText()));
RDebugUtils.currentLine=5898245;
 //BA.debugLineNum = 5898245;BA.debugLine="LMEPrice = metxtLMEPrice.Text";
_lmeprice = (float)(Double.parseDouble(mostCurrent._metxtlmeprice.getText()));
RDebugUtils.currentLine=5898246;
 //BA.debugLineNum = 5898246;BA.debugLine="ExchRate = metxtLMEExch.Text";
_exchrate = (float)(Double.parseDouble(mostCurrent._metxtlmeexch.getText()));
RDebugUtils.currentLine=5898247;
 //BA.debugLineNum = 5898247;BA.debugLine="Royalty = (conversionfactor*royaltyasperecentofLM";
_royalty = (float) ((_conversionfactor*_royaltyasperecentoflme*_al2o3content*_lmeprice*_exchrate)/(double)100);
RDebugUtils.currentLine=5898248;
 //BA.debugLineNum = 5898248;BA.debugLine="lblLMERoyaltyCalc.Text = NumberFormat(Royalty,0,2";
mostCurrent._lbllmeroyaltycalc.setText((Object)(anywheresoftware.b4a.keywords.Common.NumberFormat(_royalty,(int) (0),(int) (2))));
RDebugUtils.currentLine=5898251;
 //BA.debugLineNum = 5898251;BA.debugLine="End Sub";
return "";
}
public static String  _btnsplashexit_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnsplashexit_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnsplashexit_click", null);
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub btnSplashExit_Click";
RDebugUtils.currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
RDebugUtils.currentLine=393219;
 //BA.debugLineNum = 393219;BA.debugLine="End Sub";
return "";
}
public static String  _btnsplashstart_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btnsplashstart_click"))
	return (String) Debug.delegate(mostCurrent.activityBA, "btnsplashstart_click", null);
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub btnSplashStart_Click";
RDebugUtils.currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="pnlSplash.Visible = False";
mostCurrent._pnlsplash.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="Starter.ScreenLevel = 0";
mostCurrent._starter._screenlevel = (int) (0);
RDebugUtils.currentLine=327683;
 //BA.debugLineNum = 327683;BA.debugLine="Activity.LoadLayout (\"screenMain\")";
mostCurrent._activity.LoadLayout("screenMain",mostCurrent.activityBA);
RDebugUtils.currentLine=327684;
 //BA.debugLineNum = 327684;BA.debugLine="Dim cursor1 As Cursor";
mostCurrent._cursor1 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
RDebugUtils.currentLine=327686;
 //BA.debugLineNum = 327686;BA.debugLine="End Sub";
return "";
}
public static String  _jobdone(anywheresoftware.b4a.samples.httputils2.httpjob _job) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "jobdone"))
	return (String) Debug.delegate(mostCurrent.activityBA, "jobdone", new Object[] {_job});
RDebugUtils.currentLine=4653056;
 //BA.debugLineNum = 4653056;BA.debugLine="Sub JobDone (job As HttpJob)";
RDebugUtils.currentLine=4653057;
 //BA.debugLineNum = 4653057;BA.debugLine="Log(\"JobName = \" & job.JobName & \", Success = \" &";
anywheresoftware.b4a.keywords.Common.Log("JobName = "+_job._jobname+", Success = "+BA.ObjectToString(_job._success));
RDebugUtils.currentLine=4653058;
 //BA.debugLineNum = 4653058;BA.debugLine="If job.Success = True Then";
if (_job._success==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=4653059;
 //BA.debugLineNum = 4653059;BA.debugLine="Select job.JobName";
switch (BA.switchObjectToInt(_job._jobname,"Job1","Job2")) {
case 0: {
RDebugUtils.currentLine=4653061;
 //BA.debugLineNum = 4653061;BA.debugLine="LMEDate = sf.Mid(job.GetString,1,10)";
mostCurrent._lmedate = mostCurrent._sf._vvvv5(_job._getstring(),(int) (1),(int) (10));
RDebugUtils.currentLine=4653062;
 //BA.debugLineNum = 4653062;BA.debugLine="LME_Price = sf.Mid(job.GetString,12,6)";
_lme_price = (float)(Double.parseDouble(mostCurrent._sf._vvvv5(_job._getstring(),(int) (12),(int) (6))));
RDebugUtils.currentLine=4653063;
 //BA.debugLineNum = 4653063;BA.debugLine="metxtLMEPrice.Text = LME_Price";
mostCurrent._metxtlmeprice.setText((Object)(_lme_price));
 break; }
case 1: {
RDebugUtils.currentLine=4653066;
 //BA.debugLineNum = 4653066;BA.debugLine="INR_ExchRate = sf.Mid(job.GetString,12,6)";
_inr_exchrate = (float)(Double.parseDouble(mostCurrent._sf._vvvv5(_job._getstring(),(int) (12),(int) (6))));
RDebugUtils.currentLine=4653067;
 //BA.debugLineNum = 4653067;BA.debugLine="metxtLMEExch.Text = INR_ExchRate";
mostCurrent._metxtlmeexch.setText((Object)(_inr_exchrate));
 break; }
}
;
 }else {
RDebugUtils.currentLine=4653070;
 //BA.debugLineNum = 4653070;BA.debugLine="Log(\"Error: \" & job.ErrorMessage)";
anywheresoftware.b4a.keywords.Common.Log("Error: "+_job._errormessage);
RDebugUtils.currentLine=4653071;
 //BA.debugLineNum = 4653071;BA.debugLine="ToastMessageShow(\"Error: \" & job.ErrorMessag";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("Error: "+_job._errormessage,anywheresoftware.b4a.keywords.Common.True);
 };
RDebugUtils.currentLine=4653073;
 //BA.debugLineNum = 4653073;BA.debugLine="job.Release";
_job._release();
RDebugUtils.currentLine=4653074;
 //BA.debugLineNum = 4653074;BA.debugLine="End Sub";
return "";
}
public static String  _metextlmealumina_textchanged(String _old,String _new) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "metextlmealumina_textchanged"))
	return (String) Debug.delegate(mostCurrent.activityBA, "metextlmealumina_textchanged", new Object[] {_old,_new});
RDebugUtils.currentLine=5963776;
 //BA.debugLineNum = 5963776;BA.debugLine="Sub metextLMEAlumina_TextChanged(Old As String, Ne";
RDebugUtils.currentLine=5963777;
 //BA.debugLineNum = 5963777;BA.debugLine="If ScreenLME_Load Then";
if (_screenlme_load) { 
RDebugUtils.currentLine=5963778;
 //BA.debugLineNum = 5963778;BA.debugLine="LME_Royalty_Calc";
_lme_royalty_calc();
 };
RDebugUtils.currentLine=5963780;
 //BA.debugLineNum = 5963780;BA.debugLine="End Sub";
return "";
}
public static String  _metxtlmeconversion_textchanged(String _old,String _new) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "metxtlmeconversion_textchanged"))
	return (String) Debug.delegate(mostCurrent.activityBA, "metxtlmeconversion_textchanged", new Object[] {_old,_new});
RDebugUtils.currentLine=6094848;
 //BA.debugLineNum = 6094848;BA.debugLine="Sub metxtLMEConversion_TextChanged(Old As String,";
RDebugUtils.currentLine=6094849;
 //BA.debugLineNum = 6094849;BA.debugLine="If ScreenLME_Load Then";
if (_screenlme_load) { 
RDebugUtils.currentLine=6094850;
 //BA.debugLineNum = 6094850;BA.debugLine="LME_Royalty_Calc";
_lme_royalty_calc();
 };
RDebugUtils.currentLine=6094852;
 //BA.debugLineNum = 6094852;BA.debugLine="End Sub";
return "";
}
public static String  _metxtlmeexch_textchanged(String _old,String _new) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "metxtlmeexch_textchanged"))
	return (String) Debug.delegate(mostCurrent.activityBA, "metxtlmeexch_textchanged", new Object[] {_old,_new});
RDebugUtils.currentLine=4849664;
 //BA.debugLineNum = 4849664;BA.debugLine="Sub metxtLMEExch_TextChanged(Old As String, New As";
RDebugUtils.currentLine=4849665;
 //BA.debugLineNum = 4849665;BA.debugLine="If ScreenLME_Load Then";
if (_screenlme_load) { 
RDebugUtils.currentLine=4849666;
 //BA.debugLineNum = 4849666;BA.debugLine="LME_Royalty_Calc";
_lme_royalty_calc();
 };
RDebugUtils.currentLine=4849668;
 //BA.debugLineNum = 4849668;BA.debugLine="End Sub";
return "";
}
public static String  _metxtlmepercent_textchanged(String _old,String _new) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "metxtlmepercent_textchanged"))
	return (String) Debug.delegate(mostCurrent.activityBA, "metxtlmepercent_textchanged", new Object[] {_old,_new});
RDebugUtils.currentLine=6029312;
 //BA.debugLineNum = 6029312;BA.debugLine="Sub metxtLMEPercent_TextChanged(Old As String, New";
RDebugUtils.currentLine=6029313;
 //BA.debugLineNum = 6029313;BA.debugLine="If ScreenLME_Load Then";
if (_screenlme_load) { 
RDebugUtils.currentLine=6029314;
 //BA.debugLineNum = 6029314;BA.debugLine="LME_Royalty_Calc";
_lme_royalty_calc();
 };
RDebugUtils.currentLine=6029316;
 //BA.debugLineNum = 6029316;BA.debugLine="End Sub";
return "";
}
public static String  _metxtlmeprice_textchanged(String _old,String _new) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "metxtlmeprice_textchanged"))
	return (String) Debug.delegate(mostCurrent.activityBA, "metxtlmeprice_textchanged", new Object[] {_old,_new});
RDebugUtils.currentLine=4784128;
 //BA.debugLineNum = 4784128;BA.debugLine="Sub metxtLMEPrice_TextChanged(Old As String, New A";
RDebugUtils.currentLine=4784129;
 //BA.debugLineNum = 4784129;BA.debugLine="If ScreenLME_Load Then";
if (_screenlme_load) { 
RDebugUtils.currentLine=4784130;
 //BA.debugLineNum = 4784130;BA.debugLine="LME_Royalty_Calc";
_lme_royalty_calc();
 };
RDebugUtils.currentLine=4784132;
 //BA.debugLineNum = 4784132;BA.debugLine="End Sub";
return "";
}
}